Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service
Class ResourceEventListenerProcessor

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.ResourceEventListenerProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanPostProcessor

    public class ResourceEventListenerProcessor

extends java.lang.Object
implements org.springframework.beans.factory.config.BeanPostProcessor

Version:
  $Id: ResourceEventListenerProcessor.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ResourceEventListenerProcessor()`

Method Summary
`java.lang.String` | `getListenerBeanName()`
`RepositoryEventListenerRegistry` | `getRegistry()`
`java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String name)`
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String name)`
`void` | `setListenerBeanName(java.lang.String listenerBeanName)`
`void` | `setRegistry(RepositoryEventListenerRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEventListenerProcessor

    public ResourceEventListenerProcessor()

Method Detail

### postProcessBeforeInitialization

    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean,
                                                            java.lang.String name)

  Specified by:
    `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`

### postProcessAfterInitialization

    public java.lang.Object postProcessAfterInitialization(java.lang.Object bean,
                                                           java.lang.String name)

  Specified by:
    `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`

### getListenerBeanName

    public java.lang.String getListenerBeanName()

### setListenerBeanName

    public void setListenerBeanName(java.lang.String listenerBeanName)

### getRegistry

    public RepositoryEventListenerRegistry getRegistry()

### setRegistry

    public void setRegistry(RepositoryEventListenerRegistry registry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.